be.ehealth.businessconnector.dicsv5.session

## Interface DicsSessionService

- All Known Implementing Classes:
    DicsSessionServiceImpl

      public interface DicsSessionService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `FindAmpResponse` | `findAmp(FindAmpRequest request)`
    `FindAmppResponse` | `findAmpp(FindAmppRequest request)`
    `FindCommentedClassificationResponse` | `findCommentedClassification(FindCommentedClassificationRequest request)`
    `FindCompanyResponse` | `findCompany(FindCompanyRequest request)`
    `FindCompoundingFormulaResponse` | `findFormula(FindCompoundingFormulaRequest request)`
    `FindCompoundingIngredientResponse` | `findIngredient(FindCompoundingIngredientRequest request)`
    `FindLegislationTextResponse` | `findLegislationText(FindLegislationTextRequest request)`
    `FindListOfAmpResponse` | `findListOfAmp(FindListOfAmpRequest request)`
    `FindNonMedicinalProductResponse` | `findNonMedicinalProduct(FindNonMedicinalProductRequest request)`
    `FindReferencesResponse` | `findReferences(FindReferencesRequest request)`
    `FindReimbursementResponse` | `findReimbursement(FindReimbursementRequest request)`
    `FindVmpResponse` | `findVmp(FindVmpRequest request)`
    `FindVmpGroupResponse` | `findVmpGroup(FindVmpGroupRequest request)`
    `FindVtmResponse` | `findVtm(FindVtmRequest request)`
    `ValidateProductIdResponse` | `validateProductId(ValidateProductIdRequest request)`
    `ValidateSamIdResponse` | `validateSamId(ValidateSamIdRequest request)`

- - ### Method Detail

    - #### findAmp

          FindAmpResponse findAmp(FindAmpRequest request)
                           throws TechnicalConnectorException,
                                  DicsException

      Throws:
        `TechnicalConnectorException`
        `DicsException`

    - #### findCompany

          FindCompanyResponse findCompany(FindCompanyRequest request)
                                   throws TechnicalConnectorException,
                                          DicsException

      Throws:
        `TechnicalConnectorException`
        `DicsException`

    - #### findVmp

          FindVmpResponse findVmp(FindVmpRequest request)
                           throws TechnicalConnectorException,
                                  DicsException

      Throws:
        `TechnicalConnectorException`
        `DicsException`

    - #### findLegislationText

          FindLegislationTextResponse findLegislationText(FindLegislationTextRequest request)
                                                   throws TechnicalConnectorException,
                                                          DicsException

      Throws:
        `TechnicalConnectorException`
        `DicsException`

    - #### findReimbursement

          FindReimbursementResponse findReimbursement(FindReimbursementRequest request)
                                               throws TechnicalConnectorException,
                                                      DicsException

      Throws:
        `TechnicalConnectorException`
        `DicsException`

    - #### findReferences

          FindReferencesResponse findReferences(FindReferencesRequest request)
                                         throws TechnicalConnectorException,
                                                DicsException

      Throws:
        `TechnicalConnectorException`
        `DicsException`

    - #### findVmpGroup

          FindVmpGroupResponse findVmpGroup(FindVmpGroupRequest request)
                                     throws TechnicalConnectorException,
                                            DicsException

      Throws:
        `TechnicalConnectorException`
        `DicsException`

    - #### findVtm

          FindVtmResponse findVtm(FindVtmRequest request)
                           throws TechnicalConnectorException,
                                  DicsException

      Throws:
        `TechnicalConnectorException`
        `DicsException`

    - #### findCommentedClassification

          FindCommentedClassificationResponse findCommentedClassification(FindCommentedClassificationRequest request)
                                                                   throws TechnicalConnectorException,
                                                                          DicsException

      Throws:
        `TechnicalConnectorException`
        `DicsException`

    - #### findIngredient

          FindCompoundingIngredientResponse findIngredient(FindCompoundingIngredientRequest request)
                                                    throws TechnicalConnectorException,
                                                           DicsException

      Throws:
        `TechnicalConnectorException`
        `DicsException`

    - #### findFormula

          FindCompoundingFormulaResponse findFormula(FindCompoundingFormulaRequest request)
                                              throws TechnicalConnectorException,
                                                     DicsException

      Throws:
        `TechnicalConnectorException`
        `DicsException`

    - #### findAmpp

          FindAmppResponse findAmpp(FindAmppRequest request)
                             throws TechnicalConnectorException,
                                    DicsException

      Throws:
        `TechnicalConnectorException`
        `DicsException`

    - #### findNonMedicinalProduct

          FindNonMedicinalProductResponse findNonMedicinalProduct(FindNonMedicinalProductRequest request)
                                                           throws TechnicalConnectorException,
                                                                  DicsException

      Throws:
        `TechnicalConnectorException`
        `DicsException`

    - #### findListOfAmp

          FindListOfAmpResponse findListOfAmp(FindListOfAmpRequest request)
                                       throws TechnicalConnectorException,
                                              DicsException

      Throws:
        `TechnicalConnectorException`
        `DicsException`

    - #### validateSamId

          ValidateSamIdResponse validateSamId(ValidateSamIdRequest request)
                                       throws TechnicalConnectorException,
                                              DicsException

      Throws:
        `TechnicalConnectorException`
        `DicsException`

    - #### validateProductId

          ValidateProductIdResponse validateProductId(ValidateProductIdRequest request)
                                               throws TechnicalConnectorException,
                                                      DicsException

      Throws:
        `TechnicalConnectorException`
        `DicsException`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.